Create a permission

POST /permissions

Request body✻

Content application/json

Documentation

Properties

actionstring✻

The action property grant access to different endpoints.

"read""write"

Documentation

scopestring✻

The scope property grant access to a specific set of data.

"name""emails""phones""country""language""biologicalSex""bloodGlucose""bloodGlucoseTarget""bloodType""bolusCalculation""carbohydrates""carbohydratesRecommendation""dateOfBirth""diabetesType""insulinDelivery""insulinOnBoard""insulinRecommendation""insulinReduction""insulinSensitivity""insulinToCarbohydratesRatio""interstitialGlucose""licenses"

Documentation

sourceIdstring✻

The owner ID is a unique identifier for an owner (either a user or an app).

Documentation

targetIdstring

The owner ID is a unique identifier for an owner (either a user or an app).

Documentation

approvedboolean

The approved property determines whether a permission has been granted or not.

Documentation

Responses

    200OK

OK - Permission already exists

Content application/json

Documentation

Properties

idstring✻

The permission ID is a unique identifier for a permission.

format: uuid

Documentation

Example
"9352258f-0263-47d1-b9c7-16cd93be7501"

actionstring✻

The action property grant access to different endpoints.

"read""write"

Documentation

scopestring✻

The scope property grant access to a specific set of data.

"name""emails""phones""country""language""biologicalSex""bloodGlucose""bloodGlucoseTarget""bloodType""bolusCalculation""carbohydrates""carbohydratesRecommendation""dateOfBirth""diabetesType""insulinDelivery""insulinOnBoard""insulinRecommendation""insulinReduction""insulinSensitivity""insulinToCarbohydratesRatio""interstitialGlucose""licenses"

Documentation

sourceIdstring✻

The owner ID is a unique identifier for an owner (either a user or an app).

Documentation

sourceTypestring✻

The source type property provides additional context to the source ID.

"app""user"

Documentation

targetIdstring

The owner ID is a unique identifier for an owner (either a user or an app).

Documentation

targetTypestring✻

The target type property provides additional context to the target ID.

"app""system""user"

Documentation

approvedboolean

The approved property determines whether a permission has been granted or not.

Documentation

createdAtstring✻

format: date-time

Documentation

createdBystring✻

format: uuid

Documentation

updatedAtstring

format: date-time

Documentation

updatedBystring

format: uuid

Documentation

    201Created

Content application/json

Documentation

Properties

idstring✻

The permission ID is a unique identifier for a permission.

format: uuid

Documentation

Example
"9352258f-0263-47d1-b9c7-16cd93be7501"

actionstring✻

The action property grant access to different endpoints.

"read""write"

Documentation

scopestring✻

The scope property grant access to a specific set of data.

"name""emails""phones""country""language""biologicalSex""bloodGlucose""bloodGlucoseTarget""bloodType""bolusCalculation""carbohydrates""carbohydratesRecommendation""dateOfBirth""diabetesType""insulinDelivery""insulinOnBoard""insulinRecommendation""insulinReduction""insulinSensitivity""insulinToCarbohydratesRatio""interstitialGlucose""licenses"

Documentation

sourceIdstring✻

The owner ID is a unique identifier for an owner (either a user or an app).

Documentation

sourceTypestring✻

The source type property provides additional context to the source ID.

"app""user"

Documentation

targetIdstring

The owner ID is a unique identifier for an owner (either a user or an app).

Documentation

targetTypestring✻

The target type property provides additional context to the target ID.

"app""system""user"

Documentation

approvedboolean

The approved property determines whether a permission has been granted or not.

Documentation

createdAtstring✻

format: date-time

Documentation

createdBystring✻

format: uuid

Documentation

updatedAtstring

format: date-time

Documentation

updatedBystring

format: uuid

Documentation

Security

Servers

    id.hedia.comhttps://id.hedia.com/api/v1